# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "twilight-cache-inmemory"
version = "0.3.5"
authors = ["Twilight Contributors"]
include = ["src/**/*.rs", "Cargo.toml"]
publish = true
description = "In-process-memory based cache for the Twilight ecosystem."
homepage = "https://twilight.rs/chapter_1_crates/section_4_cache_inmemory.html"
documentation = "https://docs.rs/twilight-cache-inmemory"
readme = "README.md"
keywords = ["discord", "discord-api", "twilight"]
categories = ["caching"]
license = "ISC"
repository = "https://github.com/twilight-rs/twilight"
[dependencies.bitflags]
version = "1"
default-features = false

[dependencies.dashmap]
version = "4.0"
default-features = false

[dependencies.serde]
version = "1"
features = ["derive", "rc"]
default-features = false

[dependencies.tracing]
version = "0.1"
features = ["std", "attributes"]
default-features = false

[dependencies.twilight-model]
version = "0.3"
default-features = false
[dev-dependencies.futures]
version = "0.3"
default-features = false

[dev-dependencies.static_assertions]
version = "1"
default-features = false

[dev-dependencies.tokio]
version = "1.0"
features = ["macros", "rt-multi-thread"]
default-features = false

[dev-dependencies.twilight-gateway]
version = "0.3"
